curl --request GET \
--url https://api.open.cx/chat/sessions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"ai_closure_type": "assumed_resolved",
"sentiment": "angry",
"channel": {
"type": "web"
},
"ticket_number": 123,
"assist_mode": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"phone_number": "<string>",
"name": "<string>",
"custom_data": {},
"non_verified_name": "<string>",
"non_verified_email": "<string>",
"non_verified_custom_data": {}
},
"language": "<string>",
"assignee_id": "<string>",
"custom_data": {},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
},
"handoff": {
"summary": "<string>",
"sentiment": "angry"
},
"ticketing_system": {
"name": "dynamics365",
"external_id": "<string>",
"id_type": "conversation_id"
}
}
],
"next": "<string>"
}Returns a paginated list of chat sessions for the organization. Supports filtering by status, channel, handoff state, and date ranges.
curl --request GET \
--url https://api.open.cx/chat/sessions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "open",
"ai_closure_type": "assumed_resolved",
"sentiment": "angry",
"channel": {
"type": "web"
},
"ticket_number": 123,
"assist_mode": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"phone_number": "<string>",
"name": "<string>",
"custom_data": {},
"non_verified_name": "<string>",
"non_verified_email": "<string>",
"non_verified_custom_data": {}
},
"language": "<string>",
"assignee_id": "<string>",
"custom_data": {},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
},
"handoff": {
"summary": "<string>",
"sentiment": "angry"
},
"ticketing_system": {
"name": "dynamics365",
"external_id": "<string>",
"id_type": "conversation_id"
}
}
],
"next": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pagination cursor to fetch the next set of results
Filter by handoff status. Use "true" or "false"
Filter by session status (open, closed_resolved, closed_unresolved)
web, email, phone_voice, slack, sms, whatsapp, instagram, messenger, api, web_voice Filter sessions created after this ISO 8601 timestamp
Filter sessions created before this ISO 8601 timestamp
Filter sessions updated after this ISO 8601 timestamp
Filter sessions updated before this ISO 8601 timestamp
Was this page helpful?